#ifndef SENSORFACTORYANDROID_H
#define SENSORFACTORYANDROID_H

#ifdef ANDROID

#include "../SensorFactory.h"

#include "WiFiSensorAndroid.h"
#include "AccelerometerSensorAndroid.h"
#include "GyroscopeSensorAndroid.h"
#include "BarometerSensorAndroid.h"

/**
 * sensor factory that provides real hardware sensors from
 * an android smartphone that fire real data values
 */
class SensorFactoryAndroid : public SensorFactory {

public:

	WiFiSensor& getWiFi() override {
		return WiFiSensorAndroid::get();
	}

	AccelerometerSensor& getAccelerometer() override {
		return AccelerometerSensorAndroid::get();
	}

	GyroscopeSensor& getGyroscope() override {
		return GyroscopeSensorAndroid::get();
	}

	BarometerSensor& getBarometer() override {
		return BarometerSensorAndroid::get();
	}

};

#endif

#endif // SENSORFACTORYANDROID_H
